## org.jfree.chart.block
Interface BlockFrame

All Known Implementing Classes:
  BlockBorder, LineBorder

    public interface BlockFrame

A block frame is a type of border that can be drawn around the outside of any `AbstractBlock`. Classes that implement this interface should implement `PublicCloneable` OR be immutable.

Since:
  1.0.5

Method Summary
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the border by filling in the reserved space (in black).
`org.jfree.ui.RectangleInsets` `getInsets()` Returns the space reserved for the border.

Method Detail

### getInsets

    org.jfree.ui.RectangleInsets getInsets()

  Returns the space reserved for the border.

  Returns:
    The space (never `null`).

### draw

    void draw(java.awt.Graphics2D g2,
              java.awt.geom.Rectangle2D area)

  Draws the border by filling in the reserved space (in black).

  Parameters:
    `g2` - the graphics device.
    `area` - the area.